# tkfabout.tcl --
#
#

if {![info exists tkFaxSpool]} {
    error "This script should be run from within  \"tkfaxspool\"."
}

set w .tkfabout
catch {destroy $w}
toplevel $w
wm title $w "tkFaxSpool About"
wm iconname $w "tkFaxSpool About"
wm iconbitmap $w @$TKFAXSPOOLDIR/image/icon
positionWindow $w

set bgcolor "#eeeeee"

######################################################
# tkfaxspool setup image
frame $w.gif
pack $w.gif -side top -fill x

catch {image delete tkfabout}
image create photo tkfabout -file [file join $TKFAXSPOOLDIR/image/tkfaxspoolabout.gif]

label $w.gif.tkfabout -image tkfabout -bd 1 -relief sunken
label $w.gif.linux -image linux -bd 1 -relief sunken
label $w.gif.faxmachine -image faxmachine -bd 1 -relief sunken
label $w.gif.penguin -image penguin -bd 1 -relief sunken
 
pack $w.gif.faxmachine -side left
pack $w.gif.tkfabout -side left -expand 1 -fill x
pack $w.gif.linux -side right
pack $w.gif.penguin -side right

#########################

frame $w.buttons
pack $w.buttons -side bottom -fill x -pady 2m
button $w.buttons.cancel -text CANCEL -command "destroy $w"
pack $w.buttons.cancel -side left -expand 1

text $w.text -width 20 -height 14 -background $bgcolor -relief sunken
pack $w.text -expand yes -fill both

$w.text tag configure big -font {Helvetica 18 bold} -justify center
$w.text tag configure norm -font {Helvetica 12} -justify center
$w.text tag configure bold -font {Helvetica 12 bold} -justify center
$w.text insert end "\n$TKFSREV\n$TKFSDATE\n" big
$w.text insert end "by Peter Bruley\n" norm
$w.text insert end "\nHome Page:" norm
$w.text insert end "\nhttp://tkvoice.netfirms.com/tkfaxspool/\n" bold
$w.text insert end "\nNew Releases:" norm
$w.text insert end "\nftp://alpha.greenie.net/pub/mgetty/tools/\n" bold
$w.text configure -state disabled

