# tkfsetupfax.tcl --
#
#

if {![info exists tkFaxSpool]} {
    error "This script should be run from within  \"tkfaxspool\"."
}

set w .tkffax
catch {destroy $w}
toplevel $w
wm title $w "tkFaxSpool FAX Setup"
wm iconname $w "tkFaxSpool FAX Setup"
wm iconbitmap $w @$TKFAXSPOOLDIR/image/icon
positionWindow $w

set bgcolor "#eeeeee"

#######################################
 

######################################################
# tkfaxspool setup image
frame $w.gif
pack $w.gif -side top -fill x

catch {image delete tkfaxspoolfax}
image create photo tkfaxspoolfax -file [file join $TKFAXSPOOLDIR/image/tkfaxspoolfax.gif]

label $w.gif.tkfaxspoolsetupfax -image tkfaxspoolfax -bd 1 -relief sunken
label $w.gif.linux -image linux -bd 1 -relief sunken
label $w.gif.faxmachine -image faxmachine -bd 1 -relief sunken
label $w.gif.penguin -image penguin -bd 1 -relief sunken
 
pack $w.gif.faxmachine -side left
pack $w.gif.tkfaxspoolsetupfax -side left -expand 1 -fill x
pack $w.gif.linux -side right
pack $w.gif.penguin -side right


#########################

frame $w.top
pack $w.top -side top -expand yes -pady .5c -padx .5c

label $w.msg0 -font $font -wraplength 4i -justify left -text "   \"tkFaxSpool\" install dir. ?"
label $w.msg1 -font $font -wraplength 4i -justify left -text "\n         \"mgetty+sendfax\" config dir. ?"
label $w.msg2 -font $font -wraplength 4i -justify left -text "\n   \"FAX\" spool directory ?"
label $w.msg3 -font $font -wraplength 4i -justify left -text "\n\t\"INCOMING\" directory ?\n\t(with respect to $FAXDIR)"
label $w.msg4 -font $font -wraplength 4i -justify left -text "\n\t\"OUTGOING\" directory ?\n\t(with respect to $FAXDIR)"

frame $w.buttons
pack $w.buttons -side bottom -fill x -pady 2m
button $w.buttons.save -text SAVE -command "savefaxspool; destroy $w"
button $w.buttons.cancel -text CANCEL -command "destroy $w"
pack $w.buttons.save $w.buttons.cancel -pady .3c -side left -expand 1

foreach i "TKFAXSPOOLDIR FAXCONFIGDIR FAXDIR FAXIN FAXOUT" {
    frame $w.f$i -bd 2
    entry $w.f$i.entry -relief sunken -width 40 -textvariable $i -background $bgcolor
    label $w.f$i.label -width 20
    pack $w.f$i.label -side left
    pack $w.f$i.entry -side left
}
$w.fTKFAXSPOOLDIR.label config  -text "tkFaxSpool Install Dir:"
$w.fFAXCONFIGDIR.label config   -text "FAX Config Directory:"
$w.fFAXDIR.label config   -text "FAX Spool Directory:"
$w.fFAXIN.label config    -text "Incoming Directory :"
$w.fFAXOUT.label config   -text "Outgoing Directory :"
pack $w.msg0 $w.fTKFAXSPOOLDIR $w.msg1 $w.fFAXCONFIGDIR $w.msg2 $w.fFAXDIR $w.msg3 $w.fFAXIN $w.msg4 $w.fFAXOUT -side top -fill x
focus $w.fTKFAXSPOOLDIR.entry
bind $w.fTKFAXSPOOLDIR.entry <Return> {focus $w.fFAXCONFIGDIR.entry}
bind $w.fFAXCONFIGDIR.entry <Return> {focus $w.fFAXDIR.entry}
bind $w.fFAXDIR.entry <Return> {focus $w.fFAXIN.entry}
bind $w.fFAXIN.entry <Return> {focus $w.fFAXOUT.entry}
bind $w.fFAXOUT.entry <Return> {focus $w.fTKFAXSPOOLDIR.entry}

