# tkffaq.tcl --
#
#

if {![info exists tkFaxSpool]} {
    error "This script should be run from within  \"tkfaxspool\"."
}

set w .tkffaq
catch {destroy $w}
toplevel $w
wm title $w "tkFaxSpool FAQ"
wm iconname $w "tkFaxSpool FAQ"
wm iconbitmap $w @$TKFAXSPOOLDIR/image/icon
positionWindow $w

set bgcolor "#eeeeee"

######################################################
# TKFAXSPOOL setup image
frame $w.gif
pack $w.gif -side top -fill x

catch {image delete tkffaq}
image create photo tkffaq -file [file join $TKFAXSPOOLDIR/image/tkfaxspoolfaq.gif]

label $w.gif.tkffaq -image tkffaq -bd 1 -relief sunken
label $w.gif.linux -image linux -bd 1 -relief sunken
label $w.gif.faxmachine -image faxmachine -bd 1 -relief sunken
label $w.gif.penguin -image penguin -bd 1 -relief sunken
 
pack $w.gif.faxmachine -side left
pack $w.gif.tkffaq -side left -expand 1 -fill x
pack $w.gif.linux -side right
pack $w.gif.penguin -side right

#########################

frame $w.buttons
pack $w.buttons -side bottom -fill x -pady 2m
button $w.buttons.cancel -text CANCEL -command "destroy $w"
pack $w.buttons.cancel -side left -expand 1

text $w.text -relief sunken -bd 2 -yscrollcommand "$w.scroll set" -setgrid 1 \
	     -height 30 -state normal -background $bgcolor
scrollbar $w.scroll -command "$w.text yview"
pack $w.scroll -side right -fill y
pack $w.text -expand yes -fill both
$w.text tag configure bold -font {Helvetica 12 bold} -justify left

$w.text insert 0.0 \
{          _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_
 
            This is the FAQ file for tkfaxspool 0.1
 
                          Peter Bruley
                     pbruley@highstream.net
 
          -_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-


1.   Q: Won't install Won't run
        $ tkfaxspool
        /usr/local/bin/tkfaxspool: exec: wish: not found

     A: Install tcl/tk it is available from:
        http://www.tcl.tk/

     Q: I have tcl installed but I get this message
        ./tkfaxspool
        Error in startup script: 
        Can't find a usable Tix Init.tcl in the following directories:
        /usr/local/library
        /usr/local/tix8.1
        /usr/library
        /usr/tix8.1
        /usr/local/lib/tix8.1

     A: Install tix8.1 available from:
        http://tix.sourceforge.net/

     Q: The window pops up but nothing gets sent

     A: Install mgetty or vgetty available from:
        http://alpha.greenie.net/mgetty/

2.   Q: The fax gets sent but just hangs in the queue forever.

     A: You need to have the "faxrunqd" daemon running in the background.
        faxrunqd is a perl script that comes with mgetty/vgetty. It is used 
        to send fax jobs queued by faxspool.

        You should have is start automatically at boot time.
        Add it to your /etc/rc.d/rc.local:
                                              
              echo "Starting faxrunqd"
              exec /usr/local/sbin/faxrunqd >> /var/adm/messages 2>&1 &

     Q: But I don't have "perl" installed
	messages:

     A: Time to get a newer LINUX distribution. Or if you are adventurous   
        It is available from :
        http://www.perl.com/CPAN/src

3.   Q: What is the "GV VIEW" button used for?

     A: If you have ghostview/ghostscript installed on your system you can 
        view the "FILES to FAX" before you send them. Most modern distibutions
        of LINUX have this already installed or you could get them from here:

        Ghostscript is available from:
        http://www.cs.wisc.edu/~ghost/doc/AFPL/index.htm

        Ghostview is available from:
        http://www.cs.wisc.edu/~ghost/gv/gv.htm

4.   Q: What is the "tkVOICE" button used for?

     A: If you receive a FAX you can view it with "tkVOICE" and print it out. 
        tkVOICE also turns your computer into a telephone answering machine 
        using vgetty for the low-level calls to your voice modem. If you do 
        not have a voice modem turn off the voice stuff and just use it to 
        view your FAX's recieved by mgetty.

        tkVOICE is another TCL script written by me and is available from:

        http://tkvoice.netfirms.com/
        ftp://alpha.greenie.net/pub/mgetty/tools/

End of FAQ.
} bold
$w.text configure -state disabled 



